Bugzilla will be upgraded to version 5.0 on a still to be determined date in the near future. The original upgrade date has been delayed.
Bug 589375 - Satellite installation guide does not include disconnected installation information
Satellite installation guide does not include disconnected installation infor...
Status: CLOSED CURRENTRELEASE
Product: Red Hat Satellite 5
Classification: Red Hat
Component: Docs Installation Guide (Show other bugs)
unspecified
All Linux
low Severity medium
: ---
: ---
Assigned To: Lana Brindley
Pavel Novotny
:
Depends On: 644720
Blocks: sat541-docs
  Show dependency treegraph
 
Reported: 2010-05-05 21:20 EDT by Tristan Scott
Modified: 2013-10-23 19:16 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-06-16 18:23:14 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Tristan Scott 2010-05-05 21:20:55 EDT
Description of problem:

The Satellite installation guide does not currently include information on performing a disconnected installation. It is mentioned as an option to the installer ( --disconnected), but how to use it (as well as a rationale and consequences of doing so) is not discussed.

Ideally, there would be a section that details that the RHEL installation media should be made available as a yum repository as per http://kbase.redhat.com/faq/docs/DOC-9744, and that the GPG keys from the CD must me imported, before installation can proceed.
Comment 3 Lana Brindley 2010-10-08 00:15:23 EDT
This is slated for inclusion in the Satellite 5.5 documentation. 

Tristan, can you please provide further information in response to Comment 1 in order for this to be completed.

LKB
Comment 4 Lana Brindley 2010-11-16 16:13:57 EST
Added to content specification for 5.4.1.

LKB
Comment 5 Tristan Scott 2010-12-21 17:10:59 EST
John, Lana,

Section 4.2 of the doc currently lists step 9 as:

"Next, the RHN Satellite Installation Program downloads and installs the RHN GPG key, including setting up the /root/.gnupg/ directory, if required."

This doesn't occur in offline mode, so the GPG key needs to be imported manually in order for the offline Satellite installation to be successfully completed. This can be done with:

rpm --import /media/RHEL_5/RPM-GPG-KEY-redhat-release

If this is not done, offline installation will fail.

Tristan
Comment 6 Lana Brindley 2010-12-21 17:20:58 EST
Thanks Tristan!

LKB
Comment 7 Lana Brindley 2011-01-31 01:49:49 EST
<para>
	When running the &SAT; Installation Program in offline mode, it will not automatically download and install the RHN GPG key, which will cause the installation to fail. To import the key manually, use this command:
</para>
<screen>
rpm --import /media/RHEL_5/RPM-GPG-KEY-redhat-release
</screen>

Changed in revision 1-29.

LKB
Comment 8 Pavel Novotny 2011-04-21 08:21:46 EDT
Taking this bug for verification.
Comment 9 Pavel Novotny 2011-04-21 11:27:35 EDT
(In reply to comment #7)
> <para>
>  When running the &SAT; Installation Program in offline mode, it will not
> automatically download and install the RHN GPG key, which will cause the
> installation to fail. To import the key manually, use this command:
> </para>
> <screen>
> rpm --import /media/RHEL_5/RPM-GPG-KEY-redhat-release
> </screen>
> 
> Changed in revision 1-29.
> 
> LKB

Verified
in Satellite 5.4.1 "Installation Guide", section "4.2. RHN Satellite Installation Program".
Comment 10 Lana Brindley 2011-05-05 20:11:18 EDT
This book has now been dropped to translation (RT#75265).
No further updates can be accepted. Please raise a new bug for any changes.
LKB
Comment 11 Lana Brindley 2011-06-16 18:23:14 EDT
5.4.1 Satellite books are now available on docs.redhat.com. Please raise a new bug for any issues.

LKB

Note You need to log in before you can comment on or make changes to this bug.